Bug 2041789 (CVE-2022-21366) - CVE-2022-21366 OpenJDK: Excessive memory allocation in TIFF*Decompressor (ImageIO, 8274096)
Summary: CVE-2022-21366 OpenJDK: Excessive memory allocation in TIFF*Decompressor (Ima...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-21366
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2039391 2039393 2039394 2039588 2040423 2040424 2040425 2040813
Blocks: 2039369
TreeView+ depends on / blocked
 
Reported: 2022-01-18 10:05 UTC by Tomas Hoger
Modified: 2022-01-26 15:09 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-24 14:01:14 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:0161 0 None None None 2022-01-19 09:12:45 UTC
Red Hat Product Errata RHSA-2022:0165 0 None None None 2022-01-24 11:40:53 UTC
Red Hat Product Errata RHSA-2022:0166 0 None None None 2022-01-24 11:39:49 UTC
Red Hat Product Errata RHSA-2022:0185 0 None None None 2022-01-24 09:45:14 UTC
Red Hat Product Errata RHSA-2022:0204 0 None None None 2022-01-24 10:11:45 UTC
Red Hat Product Errata RHSA-2022:0209 0 None None None 2022-01-24 09:42:48 UTC
Red Hat Product Errata RHSA-2022:0211 0 None None None 2022-01-24 09:47:38 UTC
Red Hat Product Errata RHSA-2022:0228 0 None None None 2022-01-24 13:03:35 UTC
Red Hat Product Errata RHSA-2022:0229 0 None None None 2022-01-24 13:04:38 UTC
Red Hat Product Errata RHSA-2022:0233 0 None None None 2022-01-24 09:39:22 UTC

Description Tomas Hoger 2022-01-18 10:05:49 UTC
A flaw was found in the way the TIFFFaxDecompressor, TIFFLZWDecompressor, and TIFFPackBitsDecompressor classes implementations in the ImageIO component of OpenJDK handled memory allocations when processing TIFF images. A specially-crafted TIFF image with a small size could cause a Java application to allocate an excessive amount of memory when opened.

Comment 1 Tomas Hoger 2022-01-18 21:29:15 UTC
Public now via Oracle CPU January 2022:

https://www.oracle.com/security-alerts/cpujan2022.html#AppendixJAVA

Fixed in Oracle Java SE 17.0.2 and 11.0.14.

Comment 2 errata-xmlrpc 2022-01-19 09:12:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0161 https://access.redhat.com/errata/RHSA-2022:0161

Comment 7 errata-xmlrpc 2022-01-24 09:39:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:0233 https://access.redhat.com/errata/RHSA-2022:0233

Comment 8 errata-xmlrpc 2022-01-24 09:42:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:0209 https://access.redhat.com/errata/RHSA-2022:0209

Comment 9 errata-xmlrpc 2022-01-24 09:45:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0185 https://access.redhat.com/errata/RHSA-2022:0185

Comment 10 errata-xmlrpc 2022-01-24 09:47:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:0211 https://access.redhat.com/errata/RHSA-2022:0211

Comment 11 errata-xmlrpc 2022-01-24 10:11:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:0204 https://access.redhat.com/errata/RHSA-2022:0204

Comment 12 errata-xmlrpc 2022-01-24 11:39:46 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 17.0.2

Via RHSA-2022:0166 https://access.redhat.com/errata/RHSA-2022:0166

Comment 13 errata-xmlrpc 2022-01-24 11:40:50 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 17.0.2

Via RHSA-2022:0165 https://access.redhat.com/errata/RHSA-2022:0165

Comment 14 errata-xmlrpc 2022-01-24 13:03:32 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 11.0.14

Via RHSA-2022:0228 https://access.redhat.com/errata/RHSA-2022:0228

Comment 15 errata-xmlrpc 2022-01-24 13:04:35 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 11.0.14

Via RHSA-2022:0229 https://access.redhat.com/errata/RHSA-2022:0229

Comment 16 Product Security DevOps Team 2022-01-24 14:01:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-21366


Note You need to log in before you can comment on or make changes to this bug.